{ home-manager, config, ... }:

{
  imports =
    [
      home-manager.nixosModules.default
    ];

  home-manager.useUserPackages = true;
  home-manager.useGlobalPkgs = true;
  home-manager.backupFileExtension = "backup";
  home-manager.users.lyes = { ... }: {
    imports =
      [
        ./editors
        ./shells
        ./home.nix
      ];
    
    home.username = "lyes";
    home.homeDirectory = "/home/lyes";

    home.stateVersion = config.system.stateVersion;
  };
}
